## NAME

g.stats.pg - Generate a range of simple statistics for the values in a database column. (GRASS-RDBMS General Interface Program)

## SYNOPSIS

g.stats.pg
g.stats.pg help
g.stats.pg [-vf] table=name column=name [where=clause]

## DESCRIPTION

g.stats.pg generates a series of simple statistics for a numeric column in the specified table of the currently selected database. The currently selected database is identified by the GRASS environment variable $PG_DBASE which is set using the command g.select.pg. If this environment variable is not set the program terminates with a message to the user. g.stats.pg generates statistics for any numeric column in the table specified by the user. To identify the data types for individual columns in a table in the currently selected database use the command g.column.pg with the -v flag. Statistics generated for the column include count, sum, average, minimum value and maximum value.

## COMMAND LINE OPTIONS

### Parameters:

table=databasetablename
  Name of table in currently selected database.
column=databasecolumnname
  Column in [table] which is numeric in type.
where=clause
  Clause to select only some records from table

### Flags:

-v
  Verbose output
-f
  Use frequencies instead of min, max, mean

EXAMPLE

g.stats.pg table=utm column=ukfact

Statistics for column: ukfact

            count
            171
            sum
            47.67
            avg
            0.28
            max
            0.49
            min
            0.00

## BUGS

None known.

## NOTE

This program requires the Postgres database software.

## SEE ALSO

g.column.pg, g.select.pg, g.table.pg, d.rast.pg, d.site.pg, d.vect.pg, d.what.r.pg, d.what.s.pg, d.what.v.pg, r.reclass.pg, r.rescale.pg, v.reclass.pg

## AUTHOR

Original Informix SQL-tools: James A. Farley, Wang Song, and W. Fredrick Limp University of Arkansas, CAST

Postgres modifications: Janne Soimasuo, Faculty of Forestry, University of Joensuu, Finland.

Updated to GRASS 5 by Alex Shevlakov (sixote@yahoo.com)